[SRU] [karmic] Long SMB share names invisible and corrupts encodings

Bug #449735 reported by SteveHardyHastings
58
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Chuck Short
samba
Invalid
Medium
samba (Ubuntu)
High
Chuck Short
Karmic
High
Chuck Short

Bug Description

Binary package hint: nautilus

Ubuntu release: 9.10beta (I have let all the updates since installing happen)

Cannot see share name "stevesdocuments" on server "monster" (\\MONSTER\stevesdocuments)

Other shares are visible, i.e. "users", "websites", etc.

The server is a linux (SUSE 10) machine running SAMBA.

The share is visible on Ubuntu 8.10, 9.04 and Windows Vista.

The share is accessible when putting full path in address bar ("\\MONSTER\stevesdocuments")

ProblemType: Bug
Architecture: i386
Date: Mon Oct 12 18:48:06 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/nautilus
Package: nautilus 1:2.28.0-0ubuntu5
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
SourcePackage: nautilus
Uname: Linux 2.6.31-13-generic i686

=================
Karmic release notes:

Samba/windows share with long names not displayed correctly

When upgrading a system using samba/windows network shares to karmic share names that have more than 12 characters may not be displayed correctly. A fix for this issue is expected to be provided in a post-release update immediately after the Ubuntu 9.10 release (449735).

==================

Related branches

CVE References

Revision history for this message
SteveHardyHastings (steve-hardy-hastings) wrote :
Revision history for this message
Pedro Villavicencio (pedro) wrote :

do you get the same if list the file with gvfs-ls ? could be a gvfs issue.

Changed in nautilus (Ubuntu):
importance: Undecided → Low
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
status: New → Incomplete
Revision history for this message
SteveHardyHastings (steve-hardy-hastings) wrote : Re: [Bug 449735] Re: Long SMB share names invisible

Pedro, I'm afraid you've gone beyond my limited linux skills; I'm a GUI
person. My command line skills only go as far as "sudo gedit /etc/hosts" and
a few others! I certainly have no idea how to traverse the network via the
command line (I think thats what you're after).

If you could let me have a blow by blow account of how to do this I'd be
more than happy to try.

I did notice there were some updates to "gvfs" packages this evening though
I still can't see "stevesdocuments".

Kind regards, Steve

2009/10/14 Pedro Villavicencio <email address hidden>

> do you get the same if list the file with gvfs-ls ? could be a gvfs
> issue.
>
> ** Changed in: nautilus (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: nautilus (Ubuntu)
> Status: New => Incomplete
>
> ** Changed in: nautilus (Ubuntu)
> Assignee: (unassigned) => Ubuntu Desktop Bugs (desktop-bugs)
>
> --
> Long SMB share names invisible
> https://bugs.launchpad.net/bugs/449735
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “nautilus” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: nautilus
>
> Ubuntu release: 9.10beta (I have let all the updates since installing
> happen)
>
> Cannot see share name "stevesdocuments" on server "monster"
> (\\MONSTER\stevesdocuments)
>
> Other shares are visible, i.e. "users", "websites", etc.
>
> The server is a linux (SUSE 10) machine running SAMBA.
>
> The share is visible on Ubuntu 8.10, 9.04 and Windows Vista.
>
> The share is accessible when putting full path in address bar
> ("\\MONSTER\stevesdocuments")
>
> ProblemType: Bug
> Architecture: i386
> Date: Mon Oct 12 18:48:06 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/nautilus
> Package: nautilus 1:2.28.0-0ubuntu5
> ProcEnviron:
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
> SourcePackage: nautilus
> Uname: Linux 2.6.31-13-generic i686
>

--
Steve Hardy

<email address hidden>

Revision history for this message
jortega (jorortega) wrote : Re: Long SMB share names invisible

The error is present in smbclient as well:

Performing an smbclient -L <machine name> will return all names except those that are longer than 12 characters. This happens using a windows XP as server, and another Linux box (debian 5) as server.

Example:

In smbclient 3.3.2 (ubuntu 9.04) doing a smbclient -L machine gives me:

Sharename Type Comment
--------------- ------ -------------

disk1 Disk
Documents_sorted_by_order Disk
ThesisStructuresDocuments Disk

But smbclient 3.4.0 (ubuntu 9.10 beta) doing the same gives me:

Sharename Type Comment
--------------- ------ -------------

disk1 Disk

So is safe to asume that some bug is present in samba and related packages (libsmbclient???) don't know what exactly gnome-vfs uses as backend for samba. (I don't think is a gvfs related bug)

Not really a showstopper bug in home cases, but for enterprise uses, this is a real problem. Maybe is an upstram bug???

Regards

J.

Changed in nautilus (Ubuntu):
status: Incomplete → New
affects: nautilus (Ubuntu) → samba (Ubuntu)
Revision history for this message
Thierry Carrez (ttx) wrote :

Samba issue, I can reproduce it, and it's a regression from jaunty.

Changed in samba (Ubuntu):
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
importance: Low → Medium
status: New → Triaged
tags: added: regression-potential
summary: - Long SMB share names invisible
+ [karmic] Long SMB share names invisible
Thierry Carrez (ttx)
Changed in samba (Ubuntu):
importance: Medium → High
Revision history for this message
Chuck Short (zulcss) wrote : Re: [karmic] Long SMB share names invisible

I applied the patch from upstream and it resolved the issue:

chuck@kenny:/var/log/samba$ smbclient -L localhost
Enter chuck's password:
Domain=[WORKGROUP] OS=[Unix] Server=[Samba 3.4.0]

 Sharename Type Comment
 --------- ---- -------
 print$ Disk Printer Drivers
 test1 Disk test1
 thisisareallyreallyreallylongshare Disk thisisareallylongshare
 IPC$ IPC IPC Service (kenny server (Samba, Ubuntu))
Domain=[WORKGROUP] OS=[Unix] Server=[Samba 3.4.0]

 Server Comment
 --------- -------
 KENNY kenny server (Samba, Ubuntu)

 Workgroup Master
 --------- -------
 WORKGROUP

Regards
chuck

Thierry Carrez (ttx)
Changed in samba (Ubuntu):
assignee: nobody → Chuck Short (zulcss)
Chuck Short (zulcss)
summary: - [karmic] Long SMB share names invisible
+ [SRU] [karmic] Long SMB share names invisible and corrupts encodings
Revision history for this message
Chuck Short (zulcss) wrote :

Statement of Impact:

Karmic shipped with a bug in samba that if the share name is more than 12 characters long then smbclient wont display it.

How this bug has been addressed:

This bug has been fixed by the upstream samba developers in https://bugzilla.samba.org/show_bug.cgi?id=6829. This patch has been accepted in Samba 3.4.3

I have backported the patch to Samba 3.4.0. I have attached the patch to this bug.

How to reproduce:

1. Install samba
2. Create two shares like the following in the /etc/samba/smb.conf:

[test1]
comment = test1
read only = yes
path = /tmp
guest ok = yes

[thisisareallyreallyreallylongshare]
comment = thisisareallylongshare
read only = yes
path = /tmp
guest ok = ye

3. Restart samba
4. Run the following command: smbclient -L localhost
5. The first share "test1" should be displayed in the output however the second one will not be.

There should not be a regression from this patch. If you have any questions please let me know.

Regards
chuck

Revision history for this message
SteveHardyHastings (steve-hardy-hastings) wrote : Re: [Bug 449735] Re: [SRU] [karmic] Long SMB share names invisible and corrupts encodings

Chuck, I don't know if I'm meant to reply to this but I just had to say how
impressed I am, you don't get this kind of service with Windows! (I have to
use it for work).

Using Karmic on a netbook mainly and it's a real pleasure to use.

Thanks, Steve H

2009/10/28 Chuck Short <email address hidden>

> Statement of Impact:
>
> Karmic shipped with a bug in samba that if the share name is more than
> 12 characters long then smbclient wont display it.
>
> How this bug has been addressed:
>
> This bug has been fixed by the upstream samba developers in
> https://bugzilla.samba.org/show_bug.cgi?id=6829. This patch has been
> accepted in Samba 3.4.3
>
> I have backported the patch to Samba 3.4.0. I have attached the patch to
> this bug.
>
> How to reproduce:
>
> 1. Install samba
> 2. Create two shares like the following in the /etc/samba/smb.conf:
>
> [test1]
> comment = test1
> read only = yes
> path = /tmp
> guest ok = yes
>
> [thisisareallyreallyreallylongshare]
> comment = thisisareallylongshare
> read only = yes
> path = /tmp
> guest ok = ye
>
> 3. Restart samba
> 4. Run the following command: smbclient -L localhost
> 5. The first share "test1" should be displayed in the output however the
> second one will not be.
>
> There should not be a regression from this patch. If you have any
> questions please let me know.
>
> Regards
> chuck
>
>
> ** Bug watch added: Samba Bugzilla #6829
> https://bugzilla.samba.org/show_bug.cgi?id=6829
>
> --
> [SRU] [karmic] Long SMB share names invisible and corrupts encodings
> https://bugs.launchpad.net/bugs/449735
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Samba: Unknown
> Status in “samba” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: nautilus
>
> Ubuntu release: 9.10beta (I have let all the updates since installing
> happen)
>
> Cannot see share name "stevesdocuments" on server "monster"
> (\\MONSTER\stevesdocuments)
>
> Other shares are visible, i.e. "users", "websites", etc.
>
> The server is a linux (SUSE 10) machine running SAMBA.
>
> The share is visible on Ubuntu 8.10, 9.04 and Windows Vista.
>
> The share is accessible when putting full path in address bar
> ("\\MONSTER\stevesdocuments")
>
> ProblemType: Bug
> Architecture: i386
> Date: Mon Oct 12 18:48:06 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/nautilus
> Package: nautilus 1:2.28.0-0ubuntu5
> ProcEnviron:
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
> SourcePackage: nautilus
> Uname: Linux 2.6.31-13-generic i686
>

--
Steve Hardy

<email address hidden>

Revision history for this message
Chuck Short (zulcss) wrote :
Chuck Short (zulcss)
Changed in ubuntu-release-notes:
assignee: nobody → Chuck Short (zulcss)
Revision history for this message
Chuck Short (zulcss) wrote :

Release note:

When upgrading samba to 3.4.0, samba shares that are more than 12 character will not be displayed using smbclient. A fix for this issue is expected to be provided in a post-release update immediately after the Ubuntu 9.10 release.

Mathias Gug (mathiaz)
description: updated
Changed in ubuntu-release-notes:
status: New → Fix Committed
Mathias Gug (mathiaz)
description: updated
Revision history for this message
Martin Pitt (pitti) wrote :

I reviewed the package in -proposed, approved. Will accept right after karmic release.

Changed in samba (Ubuntu Karmic):
status: Triaged → Fix Committed
Revision history for this message
Steve Langasek (vorlon) wrote :

Given that the fix is already in the -proposed queue and the impact is relatively small, I think we should leave this out of the release notes, which are already shaping up to be quite long.

Changed in ubuntu-release-notes:
status: Fix Committed → Won't Fix
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted samba into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Changed in samba:
status: Unknown → Invalid
Revision history for this message
Michael Lazarev (milaz) wrote :

I confirm that the bug with incorrect handling of encodings and share names longer than 12 symbols is fixed now.

Martin Pitt (pitti)
tags: added: verification-done
removed: verification-needed
Revision history for this message
AotS (accountofthespam) wrote :

Thanks to all for a speedy fix of this bug - everything works perfectly now!
I don't mind typing the full share names, but to "normal" users this is a real pain and prevented me from upgrading.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package samba - 2:3.4.2-1ubuntu1

---------------
samba (2:3.4.2-1ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu
    + debian/smb.conf:
      - Add "(Samaba, Ubuntu)" to server string.
      - Comment out the default [homes] share, and add a comment about "valid users = %s" to show users
        how to restrict access to \\server\username to only username.
      - Set 'usershare allow guests', so that usershare admins are
        allowed to create public shares in addition to authenticated ones.
      - add map to guest = Bad user, maps bad username to guest access.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/mksambapasswd.awk:
      - Do not add user with UID less than 1000 to smbpasswd.
    + debian/control:
      - Make libwbclient0 replace/conflict with hardy's likewise-open.
      - Don't build against ctdb.
      - Build-depend on libreadline-dev instead of libreadline5-dev.
    + debian/rules:
      - enable "native" PIE hardening.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.dirs, debian/samba.files: install
    + debian/patches/fix-smbclient-long-names.patch: Samba shares with more than 12 characters are not
      displayed. (LP: #449735)
    + Dropped:
      - debian/patches/536757.patch: Already upstream
      - debian/patches/net-usershare-list-3.4.0.patch: Already upstream
      - debian/patches/fix-crash-when-loading-interfaces.patch: Already upstream
      - debian/patches/fix-upstream-6680.patch: Already upstream
      - debian/patches/security-CVE-2009-2813.patch: Already upstream
      - debian/patches/security-CVE-2009-2948.patch: Already upstream
      - debian/patches/security-CVE-2009-2906.patch: Already upstream

samba (2:3.4.2-1) unstable; urgency=high

  * New upstream release. Security update.
  * CVE-2009-2813:
    Connecting to the home share of a user will use the root of the
    filesystem as the home directory if this user is misconfigured to
    have an empty home directory in /etc/passwd.
  * CVE-2009-2948:
    If mount.cifs is installed as a setuid program, a user can pass it
    a credential or password path to which he or she does not have
    access and then use the --verbose option to view the first line of
    that file.
  * CVE-2009-2906:
    Specially crafted SMB requests on authenticated SMB connections
    can send smbd into a 100% CPU loop, causing a DoS on the Samba
    server.

samba (2:3.4.1-2) unstable; urgency=low

  * ./configure --disable-avahi, to avoid accidentally picking up an avahi
    dependency when libavahi-common-dev is installed.

samba (2:3.4.1-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. This fixes the following bugs:
    - smbd SIGSEGV when breaking oplocks. Thanks to Petr Vandrovec
      for the clever analysis and collaboration with upstream.
      Closes: #541171
    - Fix password change propagation with ldapsam. C...

Read more...

Changed in samba (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Michael Lazarev (milaz) wrote : Re: [Bug 449735] Re: [SRU] [karmic] Long SMB share names invisible and corrupts encodings

It looks like this fix is released only in -proposed queue.
I just updated two 9.04 boxes to 9.10, and they still show garbage
instead of Russian letters.
Only after I enabled "proposed" repository, I got the package where
this fix was applied.
How soon will it become mainstream?

Revision history for this message
Steve Langasek (vorlon) wrote :

we're still waiting for someone to verify the other bugfix in this upload, bug #462626

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package samba - 2:3.4.0-3ubuntu5.1

---------------
samba (2:3.4.0-3ubuntu5.1) karmic-proposed; urgency=low

  * debian/patches/fix-smbclient-long-names.patch: Samba shares with more than 12 characters are not
    displayed. (LP: #449735)
  * debian/patches/fix-upstream-6680.patch: Fix Windows 7 computers joining a domain. Without
    this patch users will have to apply a registry hack to have their Windows 7 computers
    join a Windows Domain [http://wiki.samba.org/index.php/Windows7] (LP: #462626)

 -- Chuck Short <email address hidden> Tue, 27 Oct 2009 21:04:53 -0400

Changed in samba (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in samba:
status: Invalid → Unknown
Changed in samba:
importance: Unknown → Medium
Changed in samba:
status: Unknown → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.